/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 4.0.2
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */
package com.herumi.mcl

import kotlin.jvm.JvmOverloads
import com.herumi.mcl.MclJNI
import kotlin.jvm.Synchronized
import com.herumi.mcl.Fp
import com.herumi.mcl.Fr
import com.herumi.mcl.G1
import com.herumi.mcl.G2
import com.herumi.mcl.GT
import com.herumi.mcl.MclConstants
import com.herumi.mcl.SWIGTYPE_p_bool
import com.herumi.mcl.ElgamalJNI
import com.herumi.mcl.CipherText

class SWIGTYPE_p_bool {
    @Transient
    private var swigCPtr: Long

    constructor(cPtr: Long, futureUse: Boolean) {
        swigCPtr = cPtr
    }

    protected constructor() {
        swigCPtr = 0
    }

    companion object {
        fun getCPtr(obj: SWIGTYPE_p_bool?): Long {
            return obj?.swigCPtr ?: 0
        }
    }
}